﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DateTimeEdit_Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        string temptext;
        public MainWindow()
        {
            InitializeComponent();
            datetimedit.TextChanged += Datetimedit_TextChanged;
        }

        private void Datetimedit_TextChanged(object sender, TextChangedEventArgs e)
        {
            DateTime DM;
            if (!DateTime.TryParse(datetimedit.Text,out DM))
            {                
                temptext = datetimedit.Text;   
            }
        }

        private void DateTimeEdit_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            if(e.Key == Key.Enter && temptext.Length == 8)
            {
                string Dateformattext;
                Dateformattext =  temptext.Insert(2, "/");
                Dateformattext = Dateformattext.Insert(5, "/");                              
                DateTime datet = DateTime.Parse(Dateformattext);
                datetimedit.DateTime = datet;
            }
        }
    }
}
